#include <GLFW/glfw3.h>
#include <string>

class Window{
	
private:
	GLFWwindow* window;
	std::string title;
	int width, height;
public:
	Window(int width, int height, std::string title);
	~Window();
	void updateWindow();
	void makeContextCurrent();
	bool closing();
	bool mouseDown(int button);

};
